function BvN(funSet, funArray, NminArray, NmaxArray, Nstep)
% Prepare data for a curve "best result vs population size N"

% The aim is to find the best N for each function
% For the moment, only for automatic limited budget,
% as defined in APS_Monte9
% but it could be easily modified.

% Check consistency
fA=length(funArray);
Nmin=length(NminArray);
Nmax=length(NmaxArray);
if Nmin ~= fA | Nmax ~= fA
	error('\nNumber of functions %i not consistent with number or min %i (or max %i)',fA,Nmin,Nmax);
end

if ~exist('Nstep') Nstep=1; end

%------------------------------

	for f=1:fA % For each function ...
		fun=funArray(f);
		Nmin=NminArray(f); % ... min population size
		Nmax=NmaxArray(f); % ... max population size

		% File to save the best results
		 fileName = ['APS9 ', num2str(funSet), '[',num2str(fun),'] BvN.txt'];
		 fid = fopen(fileName, 'w');
	 	fprintf(fid,'N    Best');

		k=0;
		for popSize=Nmin:Nstep:Nmax % For each population size ...
			k=k+1;
			N(k)=popSize;
			% ... run APS_Monte9
			fBest(k)=APS_Monte9(funSet, fun,[] , [],popSize);
			fprintf(fid,'\n%i  %1.6e',N(k),fBest(k));
		end
	end


%  BvN(1,[3 4 1 113 8 10 114],87*ones(1,7),93*ones(1,7),1)
 % BvN(1,[12 2 2 5 6], [89 89 91 89 89],  [91 89 92 91 91])
 % BvN(1,113,90,90)
